#include <stdio.h>
#include <stdlib.h>

double rsum(double n, double m) {

	if (m == 0) return n;
	if (m > 0) return rsum(n, m-1) +1;
	if (m < 0) return rsum(n, m+1) -1;

}

double rpow(double n, int m) {

	if (m == 1) return n;
	if (m > 1) return n * rpow(n, m-1);
	if (m < 1) return rpow(n, m+1) / n;
}


int main(int argc, char ** argv) {
int n = atof(argv[1]);
int m = atoi(argv[2]);

	printf("sum: %.3f pow: %.3f\n",rsum(n,m), rpow(n,m));

}
